name: landing-page
kind: pipeline
type: docker

clone:
  disable: true

steps:
  - name: update-source
    image: alpine/git
    commands:
      - git clone https://git.kayg.org/kayg/pre-gzip.git
      - cd /src
      - git reset --hard
      - git pull
    volumes:
      - name: source
        path: /src
  - name: minify
    image: thekevjames/minify
    commands:
      - minify --html-keep-default-attrvals --recursive --output /src /src
    volumes:
      - name: source
        path: /src
  - name: compress
    image: debian
    commands:
      - cd pre-gzip
      - bash ./pre-gzip /src
    volumes:
      - name: source
        path: /src

volumes:
  - name: source
    host:
      path: /stacks/personal/1/pages/landing-page
